/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package gbmsapi_simpleapplication;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Platform;
import com.sun.jna.Pointer;
import com.sun.jna.Callback;
import com.sun.jna.ptr.IntByReference;
import com.sun.jna.ptr.LongByReference;
import com.sun.jna.ptr.ByteByReference;

import GBMSAPI_JAVA_LibraryFunctions.GBMSAPI_JAVA_DLL_WRAPPER.GBMSAPI_Library;
import GBMSAPI_JAVA_LibraryFunctions.*;
import GBMSAPI_JAVA_Defines.GBMSAPI_JAVA_ErrorCodesDefines.GBMSAPI_JAVA_ErrorCodes;
import GBMSAPI_JAVA_Defines.GBMSAPI_JAVA_DeviceCharacteristicsDefines.*;
import GBMSAPI_JAVA_Defines.GBMSAPI_JAVA_AcquisitionProcessDefines.*;
import java.io.*;

import com.sun.jna.ptr.DoubleByReference;
import java.util.Date;

/**
 *
 * @author andrea
 */
public class GBMSAPI_SimpleApplication {

	/**
	 * @param args the command line arguments
	 */
	public static void main(String[] args) {
        ///////////////////////////////
		// Get General Device Info
		///////////////////////////////
		Boolean Ret = GB_ExampleUtils.Global_GetCurrentDevice();
		if (Ret == false) {
			System.out.println("FAILURE in Global_GetCurrentDevice, exit");
			return;
		}

		Ret = GB_ExampleUtils.Global_GetScannerFeatures();
		if (Ret == false) {
			System.out.println("FAILURE in Global_GetScannerFeatures, exit");
			return;
		}

		Ret = GB_ExampleUtils.Global_GetImageInfo();
		if (Ret == false) {
			System.out.println("FAILURE in Global_GetImageInfo, exit");
			return;
		}

		Ret = GB_ExampleUtils.Global_AcquireImage();
		if (Ret == false) {
			System.out.println("FAILURE in Global_AcquireImage, exit");
			return;
		}

		try
		{
			System.in.read();
		}
		catch(Exception ex)
		{
		}
    }

}
