/*
 * GBMSAPI_SystemConfiguration.h
 *
 *  Created on: Sep 15, 2009
 *      Author: greenbit
 *      MUST BE INCLUDED BEFORE ANY OTHER LIBRARY
 */

#ifndef GBMSAPI_SYSTEMCONFIGURATION_H_
#define GBMSAPI_SYSTEMCONFIGURATION_H_


#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#pragma pack(push,1)

#define LINUX

#ifdef _win32

	#ifdef GBMSAPI_EXPORTS
	#define GBMSAPI_API __declspec(dllexport)
	#else
	#define GBMSAPI_API __declspec(dllimport)
	#endif

	#include "windows.h"

#endif // WIN
#ifdef LINUX

	#define GBMSAPI_API
	typedef int				BOOL;
	#define	FALSE			0
	#define	TRUE			1
	#define _MAX_PATH 		260

	typedef unsigned char	BYTE;
	typedef void *			HMODULE;

	typedef struct tagRGBTRIPLE {
		BYTE rgbtBlue;
		BYTE rgbtGreen;
		BYTE rgbtRed;
	} RGBTRIPLE;

#endif // LINUX


	typedef struct PRODUCT
	{
		unsigned char	SerialNumber[11];
		unsigned int	Reserved;
	}PRODUCT_NUMBER;

#pragma pack(pop)

#endif /* GBMSAPI_SYSTEMCONFIGURATION_H_ */
