/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package Test_GBFINIMG_Utils;

import java.io.File;
import javax.swing.ImageIcon;
import java.io.*;

/* Utils.java is used by FileChooserDemo2.java. */
public class Utils {

	public final static String jpeg = "jpeg";
	public final static String jpg = "jpg";
	public final static String bmp = "bmp";

	/*
	 * Get the extension of a file.
	 */
	public static String getExtension(File f) {
		String ext = null;
		String s = f.getName();
		int i = s.lastIndexOf('.');

		if (i > 0 && i < s.length() - 1) {
			ext = s.substring(i + 1).toLowerCase();
		}
		return ext;
	}

	public static String getDirectoryName(File f) {
		return f.getParentFile().getPath();
	}

	public static String getFileNameWithoutExtension(File f) {

		int index = f.getName().lastIndexOf('.');
		if (index > 0 && index <= f.getName().length() - 2) {
			return f.getName().substring(0, index);
		}
		return null;
	}
	
	public static void WriteAllBytes(String fileName, byte[] BufferToSave) {
		FileOutputStream fos = null;
		DataOutputStream ds = null;
		try {
			fos = new FileOutputStream(fileName);
			ds = new DataOutputStream(fos);
			ds.write(BufferToSave);
		} catch (Exception e) {
			System.out.println("Error in SaveOnFile");
		} finally {
			try {
				ds.close();
			} catch (IOException ex) {
				System.out.println("Error in closing ds");
			}
			try {
				fos.close();
			} catch (IOException ex) {
				System.out.println("Error in closing fos");
			}
		}
	}

	public static byte[] loadFile(File file) {
		FileInputStream fin = null;

		byte[] fileContent = null;
		try {
			fin = new FileInputStream(file);
			fileContent = new byte[(int) file.length()];
			fin.read(fileContent);



		} catch (IOException ex) {
			System.out.println("Error in getting file: ");
		} finally {
			try {
				if (fin != null)
				fin.close();


			} catch (Exception ex) {
				System.out.println("Error in closing file: ");
			}

		}
		return fileContent;
	}

	public static byte[] ReadAllBytes(String fileName) {
		File file = new File(fileName);
		return loadFile(file);
	}
}
