/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_ItemStructure extends Structure {

    public int num_bytes;
    public int num_chars;
    public int alloc_chars;
    public Pointer value;
    public int us_char;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public GBAN2K_ItemStructure() {
        super();
    }

    public GBAN2K_ItemStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.num_bytes = p.getInt(offset);
        offset += 4;
        this.num_chars = p.getInt(offset);
        offset += 4;
        this.alloc_chars = p.getInt(offset);
        offset += 4;
        this.value = p.getPointer(offset);
        offset += Pointer.SIZE;
        this.us_char = p.getInt(offset);
    }
}
