/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_AlternateQualityStructure extends Structure {

    public byte[] fing_id;
    public byte[] quality;// 0...100;255 = failure;254 = no calculation
    public byte[] Vendor_ID;		// IBIA vendor_ID code (www.ibia.org)
    public byte[] Algorithm_ID;	// IBIA Algorithm_ID code (www.ibia.org):0...65535	// Y coordinate of the bottom boundary

    public GBAN2K_AlternateQualityStructure() {
        this.setAlignType(ALIGN_NONE);
        this.fing_id = new byte[3];
        this.quality = new byte[4];
        this.Vendor_ID = new byte[6];
        this.Algorithm_ID = new byte[6];
    }

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public GBAN2K_AlternateQualityStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.fing_id = p.getByteArray(offset, 3);
        offset += 3;
        this.quality = p.getByteArray(offset, 4);
        offset += 4;
        this.Vendor_ID = p.getByteArray(offset, 6);
        offset += 6;
        this.Algorithm_ID = p.getByteArray(offset, 6);
    }
}
