/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_SubfieldStructure extends Structure {

    public int num_bytes;
    public int num_items;
    public int alloc_items;
    public Pointer items; // pointer to an array of ITEMS structures
    public int rs_char;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }
    
    public GBAN2K_SubfieldStructure()
    {
        super();
        this.setAlignType(ALIGN_NONE);
    }

    public GBAN2K_SubfieldStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.num_bytes = p.getInt(offset);
        offset += 4;
        this.num_items = p.getInt(offset);
        offset += 4;
        this.alloc_items = p.getInt(offset);
        offset += 4;
        this.items = p.getPointer(offset);
        offset += Pointer.SIZE;
        this.rs_char = p.getInt(offset);
    }
}
