/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBNFIQ_JAVA_Defines;

import com.sun.jna.Structure;

/**
 *
 * @author andrea
 */
public class GBNFIQ_MinutiaDescriptor extends Structure{
	int x;  
	int y;
	int direction; 

	// It is the type of the detected minutia: 0 - bifurcation, 1 - ridge ending
	int type;

	// The reliability measure assigned to the detected minutia is a floating point value in 
	//  the range 0.0 to 1.0, with 0.0 representing lowest minutia quality and 1.0 
	//  representing highest minutia quality.
	double reliability;
}
