/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBLFS_JAVA_Functions;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;
import com.sun.jna.NativeLong;
import com.sun.jna.ptr.IntByReference;
import com.sun.jna.ptr.ByteByReference;
import com.sun.jna.ptr.PointerByReference;
import com.sun.jna.ptr.DoubleByReference;
import com.sun.jna.ptr.FloatByReference;
import com.sun.jna.ptr.ShortByReference;
import com.sun.jna.WString;
import java.nio.ByteBuffer;

import GBLFS_JAVA_Defines.GBLFS_MinutiaeList;

/**
 *
 * @author andrea
 */
public class GBLFS_DllWrapper {

    public interface GBLFS_Library extends Library {

        GBLFS_Library INSTANCE =
                (GBLFS_Library) Native.loadLibrary("Lfs", GBLFS_Library.class);

        /**
         * 
         * @param ominutiae
         * MINUTIAE **      
         * @see GBLFS_JAVA_Defines.GBLFS_MinutiaeList   
         * @param idata
         * @param iw
         * @param ih
         * @param id
         * @param ppmm
         * @return Zero     - successful completion
         * Negative - system error
         */
        int get_minutiae(
                Pointer ominutiae,
                byte[] idata,
                int iw,
                int ih,
                int id,
                double ppmm);
        
        /**
         *  
         * @param minutiae allocated with get_minutiae(...)
         * 
         */
        void free_minutiae(GBLFS_MinutiaeList minutiae);
    }
}
