/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBWSQ_JAVA_Functions;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;
import com.sun.jna.NativeLong;
import com.sun.jna.ptr.IntByReference;
import com.sun.jna.ptr.ByteByReference;
import com.sun.jna.ptr.PointerByReference;
import com.sun.jna.ptr.DoubleByReference;
import com.sun.jna.ptr.FloatByReference;
import com.sun.jna.ptr.ShortByReference;
import com.sun.jna.WString;
import java.nio.ByteBuffer;

/**
 *
 * @author andrea
 */
public class GBWSQ_DllWrapper {

	public interface GBWsq_Library extends Library {

		GBWsq_Library INSTANCE =
				(GBWsq_Library) Native.loadLibrary("WSQPack", GBWsq_Library.class);

		/**
		 * 
		 * @param dest pointer to byte [] (BYTE **)
		 * @param destLen
		 * @param r_bitrate
		 * @param source
		 * @param width
		 * @param height
		 * @param depth
		 * @param ppi
		 * @param comment_text
		 * @return 
		 */
		int WSQPACK_Compress(
				Pointer dest,
				IntByReference destLen, float r_bitrate,
				byte[] source, int width, int height, int depth, int ppi,
				String comment_text);

		/**
		 * 
		 * @param dest pointer to byte [] (BYTE **)
		 * @param width
		 * @param height
		 * @param depth
		 * @param ppi
		 * @param lossyflag
		 * @param source
		 * @param sourceLen
		 * @return 
		 */
		int WSQPACK_Uncompress(
				Pointer dest, IntByReference width, IntByReference height,
				IntByReference depth, IntByReference ppi, IntByReference lossyflag,
				byte []source, int sourceLen);

		void WSQPACK_Free(Pointer dest);
	}
}
