#-------------------------------------------------
#
# Project created by QtCreator 2011-07-05T10:08:14
#
#-------------------------------------------------

TARGET = GBMSGUI_Qt
TEMPLATE = lib

# Version
unix:VERSION = 1.4.0
win32:RC_FILE = GBMSGUI.rc

DEFINES += GBMSGUI_LIBRARY

# Export file
DEF_FILE = GBMSGUI_Qt.def

SOURCES += gbmsgui.cpp \
    acquisitionform.cpp \
    ThresholdProgressBar.cpp \
    ViewSegmForm.cpp \
    UnavailabilityReasonForm.cpp \
    FrameItem.cpp \
    ClipRectItem.cpp \
    SelectObjectForm.cpp \
    ClickableLabel.cpp

HEADERS +=\
    acquisitionform.h \
    ThresholdProgressBar.h \
    gbnfiq.h \
    GBMSAPI_Library.h \
    GBMSAPI_Defines.h \
    GBFINIMG.h \
    ViewSegmForm.h \
    lfs_dll.h \
    UnavailabilityReasonForm.h \
    FrameItem.h \
    ClipRectItem.h \
    gbmsgui_class.h \
    GBMSGUI_Qt.h \
    Include/Windows/Bozorth_dll.h \
    SelectObjectForm.h \
    ClickableLabel.h

FORMS += \
    acquisitionform.ui \
    ViewSegmForm.ui \
    UnavailabilityReasonForm.ui \
    SelectObjectForm.ui

RESOURCES += \
    GUIResources.qrc

OTHER_FILES += \
    GBMSGUI.def \
    GBMSGUI.rc

QT += opengl

TRANSLATIONS = GBMSGUI_it.ts \
               GBMSGUI_zh.ts

symbian {
    MMP_RULES += EXPORTUNFROZEN
    TARGET.UID3 = 0xE3AF009F
    TARGET.CAPABILITY = 
    TARGET.EPOCALLOWDLLDATA = 1
    addFiles.sources = GBMSGUI.dll
    addFiles.path = !:/sys/bin
    DEPLOYMENT += addFiles
}

unix:!symbian {
    maemo5 {
        target.path = /opt/usr/lib
    } else {
        target.path = /usr/lib
    }
    INSTALLS += target
}

win32:INCLUDEPATH += $$PWD/Include/Windows
unix:INCLUDEPATH += $$PWD/Include/Linux

win32 {
    BuildDir = ../GBMSGUI-build-desktop
    RunDir =  ../Run
}

unix {
    BuildDir = /home/mariella/GBMSGUI/GBMSGUI-build-desktop
    RunDir =  /home/mariella/GBMSGUI/Run
}


# Libraries
unix:!macx:!symbian|win32: LIBS += -L$${RunDir} -lGBMSAPI -lGBNFIQ -lGBFINIMG -lLfs -lBozorth
win32: LIBS += -L$${RunDir} -lDSBeep

INCLUDEPATH += $$PWD/
#DEPENDPATH += $$PWD/../Run/
DEPENDPATH += $${RunDir}

DESTDIR = $${RunDir}
OBJECTS_DIR = $${BuildDir}
MOC_DIR = $${BuildDir}
RCC_DIR = $${BuildDir}
UI_DIR = $${BuildDir}



