#ifndef UNAVAILABILITYREASONFORM_H
#define UNAVAILABILITYREASONFORM_H

#include <QDialog>

namespace Ui {
    class UnavailabilityReasonForm;
}

struct UnavailabilityReason
{
    QString Name;
    int Reason;
};

class UnavailabilityReasonForm : public QDialog
{
    Q_OBJECT

public:
    explicit UnavailabilityReasonForm(QWidget *parent = 0);
    ~UnavailabilityReasonForm();
    void AddItem(QString Name);
    int GetReason(int Index);

protected:
    void showEvent(QShowEvent * event);

private slots:
    void on_cmbReason1_currentIndexChanged(int index);

    void on_cmbReason2_currentIndexChanged(int index);

    void on_cmbReason3_currentIndexChanged(int index);

    void on_cmbReason4_currentIndexChanged(int index);

public slots:
    void done(int r);

private:
    Ui::UnavailabilityReasonForm *ui;
    QList<UnavailabilityReason> UnavailabilityReasonList;
};

#endif // UNAVAILABILITYREASONFORM_H
