/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_FieldStructure extends Structure {

    public Pointer id; // native char*
    public int record_type; // native uint
    public int field_int; // native uint
    public int num_bytes;
    public int num_subfields;
    public int alloc_subfields;
    public Pointer subfields; // SUBFIELD **
    public int gs_char;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }
    
    public GBAN2K_FieldStructure()
    {
        super();
    }

    public GBAN2K_FieldStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.id = p.getPointer(offset);
        offset += Pointer.SIZE;
        this.record_type = p.getInt(offset);
        offset += 4;
        this.field_int = p.getInt(offset);
        offset += 4;
        this.num_bytes = p.getInt(offset);
        offset += 4;
        this.num_subfields = p.getInt(offset);
        offset += 4;
        this.alloc_subfields = p.getInt(offset);
        offset += 4;
        this.subfields = p.getPointer(offset);
        offset += Pointer.SIZE;
        this.gs_char = p.getInt(offset);
    }
}
