/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_AnsiNistStructure extends Structure {

    public int version; // uint
    public int num_bytes;
    public int num_records;
    public int alloc_records;
    public Pointer records; // RECORD **

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }
    
    public GBAN2K_AnsiNistStructure()
    {
        super();
        this.setAlignType(ALIGN_NONE);
    }

    /**
     * 
     * @param p NB: use the free_ANSI_NIST() function on p,
     * not on the structure created with this function
     */
    public GBAN2K_AnsiNistStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.version = p.getInt(offset);
        offset += 4;
        this.num_bytes = p.getInt(offset);
        offset += 4;
        this.num_records = p.getInt(offset);
        offset += 4;
        this.alloc_records = p.getInt(offset);
        offset += 4;
        this.records = p.getPointer(offset);
    }
}
