/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_FingerAmputationStructure extends Structure {

    public byte[] fing_id;		// one of the below specified finger IDs
    public byte[] amp_code;

    public GBAN2K_FingerAmputationStructure() {
        this.setAlignType(ALIGN_NONE);
        
        this.fing_id = new byte[3];
        this.amp_code = new byte[3];
    }
    
    @Override
    public Pointer getPointer(){
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public GBAN2K_FingerAmputationStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.fing_id = p.getByteArray(offset, 3);
        offset += 3;
        this.amp_code = p.getByteArray(offset, 3);
    }
}
