/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_FingerQualityStructure extends Structure {

    public byte[] fing_id;		// one of the below specified finger IDs
    public byte[] quality;

    public GBAN2K_FingerQualityStructure() {
        this.setAlignType(ALIGN_NONE);
        this.fing_id = new byte[3];
        this.quality = new byte[2];
    }

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }

    public GBAN2K_FingerQualityStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.fing_id = p.getByteArray(offset, 3);
        offset += 3;
        this.quality = p.getByteArray(offset, 2);
    }
}
