/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBAN2K_JAVA_Structures;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBAN2K_RecordStructure extends Structure {

    public int type; // uint
    public int total_bytes;
    public int num_bytes;
    public int num_fields;
    public int alloc_fields;
    public Pointer fields; // FIELD **
    int fs_char;

    @Override
    public Pointer getPointer() {
        this.write();
        Pointer ret = super.getPointer();
        return ret;
    }
    
    public GBAN2K_RecordStructure()
    {
        super();
        this.setAlignType(ALIGN_NONE);
    }

    public GBAN2K_RecordStructure(Pointer p) {
        this();
        if (p == Pointer.NULL) {
            return;
        }
        int offset = 0;
        this.type = p.getInt(offset);
        offset += 4;
        this.total_bytes = p.getInt(offset);
        offset += 4;
        this.num_bytes = p.getInt(offset);
        offset += 4;
        this.num_fields = p.getInt(offset);
        offset += 4;
        this.alloc_fields = p.getInt(offset);
        offset += 4;
        this.fields = p.getPointer(offset);
        offset += Pointer.SIZE;
        this.fs_char = p.getInt(offset);
    }
}
