/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBNFIQ_JAVA_Functions;

import com.sun.jna.Library;
import com.sun.jna.Native;
import com.sun.jna.Pointer;
import com.sun.jna.NativeLong;
import com.sun.jna.ptr.IntByReference;
import com.sun.jna.ptr.ByteByReference;
import com.sun.jna.ptr.PointerByReference;
import com.sun.jna.ptr.DoubleByReference;
import com.sun.jna.ptr.FloatByReference;
import com.sun.jna.ptr.ShortByReference;
import com.sun.jna.WString;
import java.nio.ByteBuffer;

import GBNFIQ_JAVA_Defines.GBNFIQ_MinutiaeInfo;
import GBNFIQ_JAVA_Defines.GBNFIQ_MinutiaDescriptor;
import GBNFIQ_JAVA_Defines.GBNFIQ_MaxMinutiaeNumber;

/**
 *
 * @author andrea
 */
public class GBNFIQ_DllWrapper {

	public interface GBNfiq_Library extends Library {

		GBNfiq_Library INSTANCE =
				(GBNfiq_Library) Native.loadLibrary("GBNFIQ", GBNfiq_Library.class);

		/**
		 * 
		 * @param VersionField1
		 * @param VersionField2
		 * @param VersionField3
		 * @param VersionField4 
		 */
		void GBNFIQ_GetVersion(ByteByReference VersionField1,
				ByteByReference VersionField2,
				ByteByReference VersionField3,
				ByteByReference VersionField4);

		int GBNFIQ_GetImageQuality(
				byte[] ImagePtr,
				int ImageWidth,
				int ImageHeight,
				IntByReference ImageQuality,
				GBNFIQ_MinutiaeInfo MinutiaeInfo);
	}
}
