/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package GBLFS_JAVA_Defines;

import com.sun.jna.Structure;
import com.sun.jna.Pointer;

/**
 *
 * @author andrea
 */
public class GBLFS_MinutiaeList extends Structure{
    /**
     * Number of 
     * @see GBLFS_Minutia
     * records allocated
     */
    public int alloc;
    /**
     * Actual number of 
     * @see GBLFS_Minutia
     * records contained in list.
     */
    public int num;
    /**
     * this is a list of native pointers to
     * @see GBLFS_Minutia
     * Its size is 
     * @see GBLFS_MinutiaeList.alloc
     * and number of valid records is
     * @see GBLFS_MinutiaeList.num.
     */
    public Pointer list;
	
	public GBLFS_MinutiaeList()
	{
		return;
	}
	
	public GBLFS_MinutiaeList(Pointer p)
	{
		if (p == Pointer.NULL) return;
//		System.out.println("getting alloc");
		int offset = 0;
		this.alloc = p.getInt(offset);
//		System.out.println("getting num");
		offset += 4;
		this.num = p.getInt(offset);
//		System.out.println("getting list");
		offset += 4;
		this.list = p.getPointer(offset);
//		System.out.println("ok");
	}
}
